---
title: "Returns the User-Agent header from the request."
url: "https://developer.rucho.org/apis/rucho/versions/5bdf1bcb-8db4-40f1-a293-72c7198e26c8/operations/user_agent_handler"
---

> Full API specification: https://developer.rucho.org/apis/rucho/versions/5bdf1bcb-8db4-40f1-a293-72c7198e26c8.md

# Returns the User-Agent header from the request.

`GET` `/user-agent`

Operation ID: `user_agent_handler`

Extracts and returns the User-Agent header value. Useful for testing what user agent string your client is sending. # HTTP Method: - `GET` # Responses: - `200 OK`: Returns a JSON object containing the User-Agent string.

## Responses

- `200` - Returns the User-Agent header

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: rucho
  version: 1.6.0
servers:
  - url: https://rucho.org
    description: Production (EKS us-east-2, behind Kong)
paths:
  /user-agent:
    get:
      tags:
        - crate::routes::core_routes
      summary: Returns the User-Agent header from the request.
      description: |-
        Extracts and returns the User-Agent header value. Useful for testing
        what user agent string your client is sending.

        # HTTP Method:
        - `GET`

        # Responses:
        - `200 OK`: Returns a JSON object containing the User-Agent string.
      operationId: user_agent_handler
      responses:
        "200":
          description: Returns the User-Agent header
          content:
            application/json:
              schema: {}
```
